Subject: 答复: [Megaco] Question about Multiplex descriptor

From: "FCG Long Hai" <[email-masked]>
Date: Tue, 13 Sep 2005 08:35:21 +0800

Hi Kevin,

  Thanks for your reply. I still have some question to be clarified.

  For mux termination, Could MGC control this termination? (For example, subtract Tmux)

  For TC1, TC2, TC3, Tmux, does it imply a topology as the diagram? 

  Does TC1, TC2, TC3 have any difference with other common physical termination? Is it possible for MGC to play signal or detect events in TC1 (or TC2, TC3)?

  If MGC subtract TC1 from context, does the Tmux still multiplex with TC2 and TC3?

  Thanks.

BR

Long hai

  _____  

发件人: Kevin Boyle [mailto:[email-masked]] 
发送时间: 2005年9月13日 0:25
收件人: FCG Long Hai; [email-masked]
主题: RE: [Megaco] Question about Multiplex descriptor

There are 5 terminations in the context: The three physical terminations, one multiplexing termination and one ephemeral.  The ephemeral is unrelated to the multiplexing termination, other than it passes packets to/from the mux termination on the muxed streams.  When dealing with the mux termination, only the physical terminations it is muxing/demuxing are implied.

Kevin

  _____  

	From: [email-masked] [mailto:[email-masked]] On Behalf Of FCG Long Hai
	Sent: Monday, September 12, 2005 4:28 AM
	To: [email-masked]
	Subject: [Megaco] Question about Multiplex descriptor

	Hi, all

	  May I ask a question about Multiplex descriptor?

	  If gateway wants to support multiplex descriptor, in the scenario illustrated in following diagram (Figure 4), how many terminations exist in context?

	1), 2 Terminations. (Tmux and TR1)

	2), 5 terminations (TC1, TC2, TC3, Tmux, TR1).

	3), Or other choice.

	  If the ephemeral termination is in the context, Shall I include it in the reply message to MGC for request has a multiplex descriptor?

	  Thanks!

	BR

	Long hai

	                  +-----------------------------------+

	                  | Context     +-------+             |

	                 +----+         |       |             |

	   Circuit 1 -|--| TC1|---------+ Tmux  |             |

	              |  +----+ (Str 1) |       |  Audio    +-----+

	              |   |             |       +-----*-----+     |-----

	              |  +----+         | H.22x | Stream 1  |     |

	   Circuit 2 -|--| TC2|---------+ multi-|           | TR1 |

	              |  +----+ (Str 1) | plex  |           |(RTP)|

	              |   |             |       |  Video    |     |

	              |  +----+         |       +-----*-----+     |-----

	   Circuit 3 -|--| TC3|---------+       | Stream 2  |     |

	              /  +----+ (Str 1) |       |           +-----+

	             /    |             +-------+             |

	            /     +-----------------\-----------------+

	   Audio, video, and control         \

	   signals are carried in frames    Tmux is an ephemeral with two

	   spanning the circuits.           explicit Stream Descriptors

	                                    and a Multiplex Descriptor.

	      Figure 4: Multiplexed Termination Scenario - Circuit to Packet

	              (Asterisks * denote the centre of the context)

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco